From 66fc28fd27bfc21467fb1f1fc4135d69da8da9fc Mon Sep 17 00:00:00 2001
From: Marti Raudsepp <marti@juffo.org>
Date: Mon, 5 Nov 2012 19:48:06 +0200
Subject: [PATCH] Add @ssl_required decorator to password reset & related
 forms

---
 pgweb/account/urls.py  | 12 ++++--------
 pgweb/account/views.py | 17 +++++++++++++++++
 2 files changed, 21 insertions(+), 8 deletions(-)

diff --git a/pgweb/account/urls.py b/pgweb/account/urls.py
index ad4f109..0dc7c8f 100644
--- a/pgweb/account/urls.py
+++ b/pgweb/account/urls.py
@@ -34,15 +34,11 @@ urlpatterns = patterns('',
     (r'^login/$', 'account.views.login'),
     (r'^logout/$', 'account.views.logout'),
 	(r'^changepwd/$', 'account.views.changepwd'),
-	(r'^changepwd/done/$', 'django.contrib.auth.views.password_change_done', {
-			'template_name': 'account/password_change_done.html', }),
+	(r'^changepwd/done/$', 'account.views.change_done'),
 	(r'^reset/$', 'account.views.resetpwd'),
-	(r'^reset/done/$', 'django.contrib.auth.views.password_reset_done', {
-			'template_name': 'account/password_reset_done.html', }),
-	(r'^reset/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$', 'django.contrib.auth.views.password_reset_confirm', {
-			'template_name': 'account/password_reset_confirm.html', }),
-	(r'^reset/complete/$', 'django.contrib.auth.views.password_reset_complete', {
-			'template_name': 'account/password_reset_complete.html', }),
+	(r'^reset/done/$', 'account.views.reset_done'),
+	(r'^reset/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$', 'account.views.reset_confirm'),
+	(r'^reset/complete/$', 'account.views.reset_complete'),
 	(r'^signup/$', 'account.views.signup'),
 	(r'^signup/complete/$', 'account.views.signup_complete'),
 )
diff --git a/pgweb/account/views.py b/pgweb/account/views.py
index 19c6b55..aa71de2 100644
--- a/pgweb/account/views.py
+++ b/pgweb/account/views.py
@@ -118,6 +118,7 @@ def orglist(request):
 			'orgs': orgs,
 	}, NavContext(request, 'account'))
 
+# These are just shims to add @ssl_required to Django authentication views
 @ssl_required
 def login(request):
 	return authviews.login(request, template_name='account/login.html')
@@ -131,11 +132,27 @@ def changepwd(request):
 	return authviews.password_change(request, template_name='account/password_change.html')
 
 @ssl_required
+def change_done(request):
+	return authviews.password_change_done(request, template_name='account/password_change_done.html')
+
+@ssl_required
 def resetpwd(request):
 	return authviews.password_reset(request, template_name='account/password_reset.html',
 									email_template_name='account/password_reset_email.txt')
 
 @ssl_required
+def reset_done(request):
+	return authviews.password_reset_done(request, template_name='account/password_reset_done.html')
+
+@ssl_required
+def reset_confirm(request):
+	return authviews.password_reset_confirm(request, template_name='account/password_reset_confirm.html')
+
+@ssl_required
+def reset_complete(request):
+	return authviews.password_reset_complete(request, template_name='account/password_reset_complete.html')
+
+@ssl_required
 def signup(request):
 	if request.user.is_authenticated():
 		return HttpServerError("You must log out before you can sign up for a new account")
-- 
1.8.0

